Bullet Collision Detection & Physics Library: btPolyhedralContactClipping Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
btPolyhedralContactClipping Struct Reference

`#include <btPolyhedralContactClipping.h>`

## Static Public Member Functions
static void | clipHullAgainstHull (const btVector3 &separatingNormal1, const btConvexPolyhedron &hullA, const btConvexPolyhedron &hullB, const btTransform &transA, const btTransform &transB, const btScalar minDist, btScalar maxDist, btVertexArray &worldVertsB1, btVertexArray &worldVertsB2, btDiscreteCollisionDetectorInterface::Result &resultOut)
static void | clipFaceAgainstHull (const btVector3 &separatingNormal, const btConvexPolyhedron &hullA, const btTransform &transA, btVertexArray &worldVertsB1, btVertexArray &worldVertsB2, const btScalar minDist, btScalar maxDist, btDiscreteCollisionDetectorInterface::Result &resultOut)
static bool | findSeparatingAxis (const btConvexPolyhedron &hullA, const btConvexPolyhedron &hullB, const btTransform &transA, const btTransform &transB, btVector3 &sep, btDiscreteCollisionDetectorInterface::Result &resultOut)
static void | clipFace (const btVertexArray &pVtxIn, btVertexArray &ppVtxOut, const btVector3 &planeNormalWS, btScalar planeEqWS)
| the clipFace method is used internally

## Detailed Description

Definition at line 30 of file btPolyhedralContactClipping.h.

## Member Function Documentation

## ◆ clipFace()

void btPolyhedralContactClipping::clipFace | ( | const btVertexArray & | pVtxIn,
|  | btVertexArray & | ppVtxOut,
|  | const btVector3 & | planeNormalWS,
|  | btScalar | planeEqWS
| ) |  |
| static

the clipFace method is used internally

Definition at line 30 of file btPolyhedralContactClipping.cpp.

## ◆ clipFaceAgainstHull()

void btPolyhedralContactClipping::clipFaceAgainstHull | ( | const btVector3 & | separatingNormal,
|  | const btConvexPolyhedron & | hullA,
|  | const btTransform & | transA,
|  | btVertexArray & | worldVertsB1,
|  | btVertexArray & | worldVertsB2,
|  | const btScalar | minDist,
|  | btScalar | maxDist,
|  | btDiscreteCollisionDetectorInterface::Result & | resultOut
| ) |  |
| static

Definition at line 405 of file btPolyhedralContactClipping.cpp.

## ◆ clipHullAgainstHull()

void btPolyhedralContactClipping::clipHullAgainstHull | ( | const btVector3 & | separatingNormal1,
|  | const btConvexPolyhedron & | hullA,
|  | const btConvexPolyhedron & | hullB,
|  | const btTransform & | transA,
|  | const btTransform & | transB,
|  | const btScalar | minDist,
|  | btScalar | maxDist,
|  | btVertexArray & | worldVertsB1,
|  | btVertexArray & | worldVertsB2,
|  | btDiscreteCollisionDetectorInterface::Result & | resultOut
| ) |  |
| static

Definition at line 513 of file btPolyhedralContactClipping.cpp.

## ◆ findSeparatingAxis()

bool btPolyhedralContactClipping::findSeparatingAxis | ( | const btConvexPolyhedron & | hullA,
|  | const btConvexPolyhedron & | hullB,
|  | const btTransform & | transA,
|  | const btTransform & | transB,
|  | btVector3 & | sep,
|  | btDiscreteCollisionDetectorInterface::Result & | resultOut
| ) |  |
| static

Definition at line 236 of file btPolyhedralContactClipping.cpp.

The documentation for this struct was generated from the following files:

- btPolyhedralContactClipping.h
- btPolyhedralContactClipping.cpp